이 페이지의 내용
각 범주는 CH-J Tools 키 생성기로 생성한 완전한 OpenPGP 신원 하나에 해당합니다. 기존 알고리즘과 양자 내성 알고리즘(RFC 9980)을 사용하는 버전 6 키(RFC 9580), LibrePGP 버전 5 키, 이전 RSA 키 크기를 포함한 호환성용 버전 4 키, 역사적 자료로만 보존하는 버전 3 및 버전 2 RSA 키를 제공합니다. 버전 4 이상 키에는 서명용 기본 키와 암호화 하위 키가 하나씩 있으며, 버전 3 및 2 키에는 하위 키가 없습니다. 이 파일로 자체 OpenPGP 소프트웨어의 가져오기, 서명 검증, 암호화 및 폐기 처리를 테스트하세요.
테스트 전용 키
이 키는 인위적으로 생성했습니다. 개인 키와 암호문구를 의도적으로 공개했으므로 누구나 이 키로 서명하거나 복호화할 수 있습니다. 실제 데이터에 사용하지 마세요. 또한 이 키 중 하나로 검증된다는 이유만으로 서명을 신뢰하지 마세요.
일부 프로그램이 특정 키를 거부하는 이유
OpenPGP 버전과 알고리즘의 지원 범위는 프로그램마다 다릅니다. GnuPG 2.4는 버전 4 및 5 키를 읽지만 버전 6이나 RFC 9980 양자 내성 알고리즘은 지원하지 않습니다. Sequoia는 버전 4 및 6을 읽지만 LibrePGP 버전 5, secp256k1, 2048비트 미만의 RSA는 지원하지 않습니다. 버전 3 및 2 키는 MD5와 IDEA를 사용하며, 취약한 다이제스트를 허용한 GnuPG 1.4 또는 과거의 PGP에서만 읽을 수 있습니다. 각 범주에는 사양과 알고리즘을 명시했으므로, 키가 거부되면 파일 손상보다는 기능 미지원일 가능성이 높습니다.
테스트 파일
44개의 서명은 모두 무작위 데이터가 담긴 이 단일 1 MB 파일에 대한 것입니다. 한 번 다운로드한 뒤 서명을 검증하기 전에 SHA-256 체크섬을 비교하세요.
다운로드 test_1MB.bin 1 048 576 바이트
SHA-256 10055956fa0fdd963344a0d80a3b9ccf3ed1d331569a23d8223bbf2e460ae972 test_1MB.bin범주
버전 6 · 양자 내성(RFC 9580 + RFC 9980)
- 예제 01 · V6 · ML-DSA-65 + Ed25519 + ML-KEM-768 + X25519
6D1542425AAE85E73F4E822AB59161D7683F784AA9E6EA0989D4A2F3990784A9 - 예제 02 · V6 · ML-DSA-65 + Ed25519 + ML-KEM-1024 + X448
8EBE172E2DFBFE865998720DE87F5B89DCB159C0A7633408BD499430E978CF64 - 예제 03 · V6 · ML-DSA-65 + Ed25519 + X25519
B897D5581D30EFA173DF41864B89D9CDFE42E0CC5CE691062CAAB976AF6CE14F - 예제 04 · V6 · ML-DSA-87 + Ed448 + ML-KEM-768 + X25519
AB7B7503F25E03291AB966E54FE19B7CB7D308D2C72B3A552FBB0AA2F4ED6E71 - 예제 05 · V6 · ML-DSA-87 + Ed448 + ML-KEM-1024 + X448
D0E8F3DD2171441CB0DFA79B345D7B233675AEE24D51EC915FD1AC80D2B422B2 - 예제 06 · V6 · ML-DSA-87 + Ed448 + X25519
1CEDB14AECBF0B9C692EFD61EF9F659E45F33BC32F7BC12499695E5981EE1085 - 예제 07 · V6 · SLH-DSA-SHAKE-128s + ML-KEM-768 + X25519
87967E66DEE644D4A10BC605532FDAB16D5AEDD154914B4D0D527C7502AD25A4 - 예제 08 · V6 · SLH-DSA-SHAKE-128s + ML-KEM-1024 + X448
C6EADE9B56677421B1A82D2502FFECB4FDCA6A9E2D3679230877E32B28765367 - 예제 09 · V6 · SLH-DSA-SHAKE-128s + X25519
7B69578CBDA586EF7DCC97A7AFCF74D3F1424515E95D8BB9362890E11B43125F - 예제 10 · V6 · SLH-DSA-SHAKE-128f + ML-KEM-768 + X25519
D6762F3EA60F9ECADC1D6BEC3E804AAEAC769E631D2643C282210442390D4A8D - 예제 11 · V6 · SLH-DSA-SHAKE-128f + ML-KEM-1024 + X448
E9736EAB77C018F653C4A3C355DD7681EE106E9C4286ACBB4A5A5C10D3BFEDAD - 예제 12 · V6 · SLH-DSA-SHAKE-128f + X25519
65E7062F811B6F5E855ECCE02995F5EDF059D4DE606069643F43CBA218E6B30C - 예제 13 · V6 · SLH-DSA-SHAKE-256s + ML-KEM-768 + X25519
11364C88A86FB2AB86F0907C9A6C7159743D50FB9A498C3590A2990146AE774F - 예제 14 · V6 · SLH-DSA-SHAKE-256s + ML-KEM-1024 + X448
67AE7DFC14C745CC69D32A4A85AB4CAB581AC4B91D75A0B011BE0F35C0DC2B0B - 예제 15 · V6 · SLH-DSA-SHAKE-256s + X25519
1EDBEC92CE9F79486AFA2AC5DE524AF2FE0F6197DC74753D1FDB3C0F1F434DDE - 예제 17 · V6 · Ed25519 + ML-KEM-768 + X25519
F3120E488D7CC03B254DA78B22C1976B6EFB1F7DBD250DB06D70E04D944916A5 - 예제 35 · V6 · Ed448 + ML-KEM-1024 + X448
87843F5A4D90C63017687E108CFF638F61AF0858B4206BEC4C91B39D68F5B120
버전 6 · 기존 알고리즘(RFC 9580)
- 예제 16 · V6 · Ed25519 + X25519
A21B6349C6B29A02A3E83BF225A7F376F4613A1A50BF78E8998F53F23E8A53D0 - 예제 18 · V6 · RSA 4096 + RSA 4096
F5B7FC86AEDC448F5F7FCA1FA1E4FE614A6CD148CA20DC271994BFED8E4271F7 - 예제 31 · V6 · ECDSA NIST P-256 + ECDH NIST P-256
5C1B4D9DBDE53BFF511739248E4600B0C66DE6E7C9F2ED049B357D001F208E00 - 예제 32 · V6 · ECDSA NIST P-384 + ECDH NIST P-384
A5E87386A630437C1D5A0AD51CF0CA49D961FCDA2CDE21EB8421DB2CDB9176DD - 예제 33 · V6 · ECDSA NIST P-521 + ECDH NIST P-521
927BE37F241D171D3D64875E657D20E168752343EEA3327EC2520690A6A54B1C - 예제 34 · V6 · Ed448 + X448
50F23A0FE2C7705D8053185A9988170828B5E4BC8FFE8ADA58402CD7D8362FAE - 예제 38 · V6 · RSA 1024 + RSA 1024 (legacy)
9FF1150D56BD743C40D736E3FE6394FBA500847C6D9CB5C38CA2E3BFEF2568E3 - 예제 39 · V6 · RSA 2048 + RSA 2048 (legacy)
3906AC13BBD5B8A132E5C6641DE0E91470385FD51AF9570013EF412164FDB5AB
버전 5 · LibrePGP(draft-koch-librepgp-06)
- 예제 26 · V5 · ECDSA NIST P-256 + ECDH NIST P-256
26D25AD540E879D954BCCE24222A10AB844C3C53A49B5C673CA25308D40422DB - 예제 27 · V5 · ECDSA NIST P-384 + ECDH NIST P-384
E32A39BF238730F434A689232520B98BB97E306D22F14396A19D829E9FEA9952 - 예제 28 · V5 · ECDSA NIST P-521 + ECDH NIST P-521
91AE0AD012D645835A9FC1F0677A069002561DE910673D3EFC707B568F0D11BC - 예제 29 · V5 · ECDSA secp256k1 + ECDH NIST P-256
0530EB20EA9EB87DE933D00F2414ADE2B910C90666AC2CB86B896BD7F1440639 - 예제 30 · V5 · RSA 2048 + RSA 2048 (legacy)
ADCBBE510FB67FF11ACDE0868747AF7FC2E41D95B34EE785E108217B062BAA15 - 예제 37 · V5 · RSA 1024 + RSA 1024 (legacy)
0B624E1A4B147D973D59AFFFAE7584C6E7D4123272FAA49ED2E276C125DD779B
버전 4 · 호환성(RFC 2440 · RFC 4880 · RFC 9580)
- 예제 19 · V4 · EdDSALegacy (Ed25519) + ML-KEM-768 + X25519
AC584FBB4E4BFB3F3117517C19FEE3A61E33390F - 예제 20 · V4 · EdDSALegacy (Ed25519) + ECDH Curve25519Legacy
3B0E8B81143420937B4271BE2736B97A8A635CE3 - 예제 21 · V4 · ECDSA NIST P-256 + ECDH NIST P-256
9035B23C46C6563DF82B9E4AFD8B9262EA769B30 - 예제 22 · V4 · ECDSA NIST P-384 + ECDH NIST P-384
BA4E573B5A95992A08B884B8AB586F5CAA5B7A91 - 예제 23 · V4 · ECDSA NIST P-521 + ECDH NIST P-521
388CB0449DA27910B500892F28877C8D10C07DAD - 예제 24 · V4 · ECDSA secp256k1 + ECDH NIST P-256
E060726BC7DBB56FDF7753749EF00F97D46EF942 - 예제 25 · V4 · RSA 2048 + RSA 2048 (legacy)
BFA8F784CFEE268FEF49639E2D5D64A3BCFDDC23 - 예제 36 · V4 · RSA 1024 + RSA 1024 (legacy)
B75872FDF13E32C2535597D6CF6C25ABA3D18793 - 예제 40 · V4 · Ed448 + X448
7AF21F1EE4385D42FE2ED44CDF867036C59D7117
버전 3 · legacy(RFC 1991 · RFC 2440 · RFC 4880)
- 예제 41 · V3 · RSA 1024 (legacy)
8C82CFA8E8957EA451848A6948E37C72 - 예제 42 · V3 · RSA 2048 (legacy)
EA8BD9DA685265394EC511D107B09C8A
버전 2 · legacy(RFC 1991 · RFC 2440)
- 예제 43 · V2 · RSA 1024 (legacy)
6BC0D98BBD116770A8490E45FD1AC24C - 예제 44 · V2 · RSA 2048 (legacy)
55AC229DCC134C267809F0D9D6FCE76F